
SoundSoftware Code Site - Feature #74
Feature # 71 (Closed): Track external repositories
Refuse pushes to repositories that are tracking external repos
2011-01-26 03:20 PM - Chris Cannam

Status: Closed Start date: 2011-01-26
Priority: High Due date:
Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

The SoundSoftware Hg authentication module needs to check whether the project is tracking an external repo (see #72) and, if so, to
block pushes to the local repository.

History
#1 - 2011-03-25 02:06 PM - Chris Cannam
- Status changed from New to In Progress
- % Done changed from 0 to 30

A complication: Redmine trunk rev 7410 changes repository authentication -- this shouldn't affect us yet, except that my test site has the newer schema
so we need two versions of the auth module for the time being.

#2 - 2011-03-25 02:40 PM - Chris Cannam
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

Tested and working as of commit:6d3f8aeb51b7

#3 - 2011-03-29 12:41 PM - Chris Cannam
- Status changed from Resolved to Closed

Merged and live.
